pappso::TimsMsRunReaderMs2 Class Reference

`#include <timsmsrunreaderms2.h>`

Inheritance diagram for pappso::TimsMsRunReaderMs2:

## Public Member Functions

| TimsMsRunReaderMs2 (MsRunIdCstSPtr &msrun_id_csp)
virtual | ~TimsMsRunReaderMs2 ()
virtual MassSpectrumSPtr | massSpectrumSPtr (std::size_t spectrum_index) override
| get a MassSpectrumSPtr class given its spectrum index More...
virtual MassSpectrumCstSPtr | massSpectrumCstSPtr (std::size_t spectrum_index) override
virtual QualifiedMassSpectrum | qualifiedMassSpectrum (std::size_t spectrum_index, bool want_binary_data=true) const override
| get a QualifiedMassSpectrum class given its scan number More...
virtual void | readSpectrumCollection (SpectrumCollectionHandlerInterface &handler) override
| function to visit an MsRunReader and get each Spectrum in a spectrum collection handler More...
virtual pappso::XicCoordSPtr | newXicCoordSPtrFromSpectrumIndex (std::size_t spectrum_index, pappso::PrecisionPtr precision) const override
| get a xic coordinate object from a given spectrum index More...
virtual pappso::XicCoordSPtr | newXicCoordSPtrFromQualifiedMassSpectrum (const pappso::QualifiedMassSpectrum &mass_spectrum, pappso::PrecisionPtr precision) const override
| get a xic coordinate object from a given spectrum More...
virtual void | readSpectrumCollectionByMsLevel (SpectrumCollectionHandlerInterface &handler, unsigned int ms_level) override
| function to visit an MsRunReader and get each Spectrum in a spectrum collection handler by Ms Levels More...
virtual std::size_t | spectrumListSize () const override
| get the totat number of spectrum conained in the MSrun data file More...
virtual bool | hasScanNumbers () const override
| tells if spectra can be accessed using scan numbers by default, it returns false. Only overrided functions can check if scan numbers are available in the current file More...
void | setMs2FilterCstSPtr (pappso::FilterInterfaceCstSPtr filter)
void | setMs1FilterCstSPtr (pappso::FilterInterfaceCstSPtr filter)
void | setMs2BuiltinCentroid (bool centroid)
| enable or disable simple centroid filter on raw tims data for MS2 More...
virtual std::vector< std::size_t > | getPrecursorsIDFromMzRt (int charge, double mz_val, double rt_sec, double k0)
| Get all the precursors id which match the values. More...
virtual bool | releaseDevice () override
| release data back end device if a the data back end is released, the developper has to use acquireDevice before using the msrunreader object More...
virtual bool | acquireDevice () override
| acquire data back end device More...
virtual TimsDataSp | getTimsDataSPtr ()
| give an access to the underlying raw data pointer More...
virtual std::vector< double > | getRetentionTimeLine () override
| retention timeline get retention times along the MSrun in seconds More...
virtual Trace | getTicChromatogram () override
Public Member Functions inherited from pappso::MsRunReader
| MsRunReader (MsRunIdCstSPtr &ms_run_id)
| MsRunReader (const MsRunReader &other)
virtual | ~MsRunReader ()
const MsRunIdCstSPtr & | getMsRunId () const
virtual std::size_t | scanNumber2SpectrumIndex (std::size_t scan_number)
| if possible, converts a scan number into a spectrum index This is a convenient function to help transition from the old scan number (not implemented by all vendors) to more secure spectrum index (not vendor dependant). It is better to not rely on this function. More...

## Protected Member Functions

virtual void | initialize () override
virtual bool | accept (const QString &file_name) const override
| tells if the reader is able to handle this file must be implemented by private MS run reader, specific of one or more file format More...

## Private Attributes

TimsDataSp | msp_timsData = nullptr
pappso::FilterInterfaceCstSPtr | msp_ms1Filter
pappso::FilterInterfaceCstSPtr | msp_ms2Filter
bool | m_builtinMs2Centroid = true
| enable builtin centroid on raw tims integers by default More...

## Friends

class | MsFileAccessor

## Additional Inherited Members

Protected Attributes inherited from pappso::MsRunReader
MsRunIdCstSPtr | mcsp_msRunId
MsRunReaderScanNumberMultiMap * | mpa_multiMapScanNumber = nullptr

## Detailed Description

Definition at line 40 of file timsmsrunreaderms2.h.

## Constructor & Destructor Documentation

## TimsMsRunReaderMs2()

TimsMsRunReaderMs2::TimsMsRunReaderMs2 | ( | MsRunIdCstSPtr & | msrun_id_csp | ) |

Todo:
  write docs

Definition at line 39 of file timsmsrunreaderms2.cpp.

: MsRunReader(msrun_id_csp)
{
initialize();
}
pappso::MsRunReader::MsRunReader
MsRunReader(MsRunIdCstSPtr &ms_run_id)
Definition: msrunreader.cpp:257
pappso::TimsMsRunReaderMs2::initialize
virtual void initialize() override
Definition: timsmsrunreaderms2.cpp:54

References initialize().

## ~TimsMsRunReaderMs2()

TimsMsRunReaderMs2::~TimsMsRunReaderMs2 | ( |  | ) |

virtual

Definition at line 45 of file timsmsrunreaderms2.cpp.

{
if(msp_timsData != nullptr)
{
msp_timsData = nullptr;
}
}
pappso::TimsMsRunReaderMs2::msp_timsData
TimsDataSp msp_timsData
Definition: timsmsrunreaderms2.h:115

References msp_timsData.

## Member Function Documentation

## accept()

bool TimsMsRunReaderMs2::accept | ( | const QString & | file_name | ) | const

override protected virtual

tells if the reader is able to handle this file must be implemented by private MS run reader, specific of one or more file format

Implements pappso::MsRunReader.

Reimplemented in pappso::TimsMsRunReaderMs2Selected.

Definition at line 116 of file timsmsrunreaderms2.cpp.

{
qDebug() << file_name;
return true;
}

## acquireDevice()

bool TimsMsRunReaderMs2::acquireDevice | ( |  | ) |

override virtual

acquire data back end device

Returns
  bool true if done

Implements pappso::MsRunReader.

Definition at line 255 of file timsmsrunreaderms2.cpp.

{
if(msp_timsData == nullptr)
{
initialize();
msp_timsData->setMs2BuiltinCentroid(m_builtinMs2Centroid);
msp_timsData->setMs1FilterCstSPtr(msp_ms1Filter);
msp_timsData->setMs2FilterCstSPtr(msp_ms2Filter);
}
return true;
}
pappso::TimsMsRunReaderMs2::msp_ms2Filter
pappso::FilterInterfaceCstSPtr msp_ms2Filter
Definition: timsmsrunreaderms2.h:118
pappso::TimsMsRunReaderMs2::msp_ms1Filter
pappso::FilterInterfaceCstSPtr msp_ms1Filter
Definition: timsmsrunreaderms2.h:117
pappso::TimsMsRunReaderMs2::m_builtinMs2Centroid
bool m_builtinMs2Centroid
enable builtin centroid on raw tims integers by default
Definition: timsmsrunreaderms2.h:121

References initialize(), m_builtinMs2Centroid, msp_ms1Filter, msp_ms2Filter, and msp_timsData.

Referenced by getTicChromatogram().

## getPrecursorsIDFromMzRt()

std::vector< std::size_t > pappso::TimsMsRunReaderMs2::getPrecursorsIDFromMzRt | ( | int | charge,
|  | double | mz_val,
|  | double | rt_sec,
|  | double | k0
| ) |  |

virtual

Get all the precursors id which match the values.

Returns
  list of precursors Ids

Definition at line 268 of file timsmsrunreaderms2.cpp.

{
return msp_timsData->getPrecursorsFromMzRtCharge(charge, mz_val, rt_sec, k0);
}

## getRetentionTimeLine()

std::vector< double > pappso::TimsMsRunReaderMs2::getRetentionTimeLine | ( |  | ) |

override virtual

retention timeline get retention times along the MSrun in seconds

Returns
  vector of retention times (seconds)

Reimplemented from pappso::MsRunReader.

Definition at line 312 of file timsmsrunreaderms2.cpp.

{
return msp_timsData.get()->getRetentionTimeLine();
}

## getTicChromatogram()

Trace TimsMsRunReaderMs2::getTicChromatogram | ( |  | ) |

override virtual

Reimplemented from pappso::MsRunReader.

Definition at line 318 of file timsmsrunreaderms2.cpp.

{
// Use the Sqlite database to fetch the total ion current chromatogram (TIC
// chromatogram).
acquireDevice();
return msp_timsData->getTicChromatogram();
}
pappso::TimsMsRunReaderMs2::acquireDevice
virtual bool acquireDevice() override
acquire data back end device
Definition: timsmsrunreaderms2.cpp:255

References acquireDevice(), and msp_timsData.

## getTimsDataSPtr()

pappso::TimsDataSp pappso::TimsMsRunReaderMs2::getTimsDataSPtr | ( |  | ) |

virtual

give an access to the underlying raw data pointer

Definition at line 277 of file timsmsrunreaderms2.cpp.

{
acquireDevice();
return msp_timsData;
}

Referenced by pappso::TimsXicExtractorInterface::TimsXicExtractorInterface().

## hasScanNumbers()

bool TimsMsRunReaderMs2::hasScanNumbers | ( |  | ) | const

override virtual

tells if spectra can be accessed using scan numbers by default, it returns false. Only overrided functions can check if scan numbers are available in the current file

Reimplemented from pappso::MsRunReader.

Reimplemented in pappso::TimsMsRunReaderMs2Selected.

Definition at line 241 of file timsmsrunreaderms2.cpp.

{
return false;
}

## initialize()

void pappso::TimsMsRunReaderMs2::initialize | ( |  | ) |

override protected virtual

Implements pappso::MsRunReader.

Reimplemented in pappso::TimsMsRunReaderMs2Selected.

Definition at line 54 of file timsmsrunreaderms2.cpp.

{
msp_timsData = std::make_shared<TimsData>(mcsp_msRunId.get()->getFileName());
if(msp_timsData == nullptr)
{
throw PappsoException(
QObject::tr("ERROR in TimsMsRunReaderMs2::initialize "
"msp_timsData is null for MsRunId %1")
.arg(mcsp_msRunId.get()->toString()));
}
}
pappso::MsRunReader::mcsp_msRunId
MsRunIdCstSPtr mcsp_msRunId
Definition: msrunreader.h:282
pappso::PappsoException
Definition: pappsoexception.h:42

Referenced by TimsMsRunReaderMs2(), and acquireDevice().

## massSpectrumCstSPtr()

pappso::MassSpectrumCstSPtr TimsMsRunReaderMs2::massSpectrumCstSPtr | ( | std::size_t | spectrum_index | ) |

override virtual

Implements pappso::MsRunReader.

Reimplemented in pappso::TimsMsRunReaderMs2Selected.

Definition at line 133 of file timsmsrunreaderms2.cpp.

{
QualifiedMassSpectrum mass_spectrum =
qualifiedMassSpectrum(spectrum_index, true);
return mass_spectrum.getMassSpectrumSPtr();
}
pappso::QualifiedMassSpectrum
Class representing a fully specified mass spectrum.
Definition: qualifiedmassspectrum.h:85
pappso::QualifiedMassSpectrum::getMassSpectrumSPtr
MassSpectrumSPtr getMassSpectrumSPtr() const
Get the MassSpectrumSPtr.
Definition: qualifiedmassspectrum.cpp:133
pappso::TimsMsRunReaderMs2::qualifiedMassSpectrum
virtual QualifiedMassSpectrum qualifiedMassSpectrum(std::size_t spectrum_index, bool want_binary_data=true) const override
get a QualifiedMassSpectrum class given its scan number
Definition: timsmsrunreaderms2.cpp:142

References pappso::QualifiedMassSpectrum::getMassSpectrumSPtr(), and qualifiedMassSpectrum().

## massSpectrumSPtr()

pappso::MassSpectrumSPtr TimsMsRunReaderMs2::massSpectrumSPtr | ( | std::size_t | spectrum_index | ) |

override virtual

get a MassSpectrumSPtr class given its spectrum index

Implements pappso::MsRunReader.

Reimplemented in pappso::TimsMsRunReaderMs2Selected.

Definition at line 124 of file timsmsrunreaderms2.cpp.

{
QualifiedMassSpectrum mass_spectrum =
qualifiedMassSpectrum(spectrum_index, true);
return mass_spectrum.getMassSpectrumSPtr();
}

References pappso::QualifiedMassSpectrum::getMassSpectrumSPtr(), and qualifiedMassSpectrum().

## newXicCoordSPtrFromQualifiedMassSpectrum()

pappso::XicCoordSPtr TimsMsRunReaderMs2::newXicCoordSPtrFromQualifiedMassSpectrum | ( | const pappso::QualifiedMassSpectrum & | mass_spectrum,
|  | pappso::PrecisionPtr | precision
| ) |  | const

override virtual

get a xic coordinate object from a given spectrum

Implements pappso::MsRunReader.

Definition at line 303 of file timsmsrunreaderms2.cpp.

{
return newXicCoordSPtrFromSpectrumIndex(
mass_spectrum.getMassSpectrumId().getSpectrumIndex(), precision);
}
pappso::MassSpectrumId::getSpectrumIndex
std::size_t getSpectrumIndex() const
Definition: massspectrumid.cpp:113
pappso::QualifiedMassSpectrum::getMassSpectrumId
const MassSpectrumId & getMassSpectrumId() const
Get the MassSpectrumId.
Definition: qualifiedmassspectrum.cpp:157
pappso::TimsMsRunReaderMs2::newXicCoordSPtrFromSpectrumIndex
virtual pappso::XicCoordSPtr newXicCoordSPtrFromSpectrumIndex(std::size_t spectrum_index, pappso::PrecisionPtr precision) const override
get a xic coordinate object from a given spectrum index
Definition: timsmsrunreaderms2.cpp:285

References pappso::QualifiedMassSpectrum::getMassSpectrumId(), pappso::MassSpectrumId::getSpectrumIndex(), and newXicCoordSPtrFromSpectrumIndex().

## newXicCoordSPtrFromSpectrumIndex()

XicCoordSPtr TimsMsRunReaderMs2::newXicCoordSPtrFromSpectrumIndex | ( | std::size_t | spectrum_index,
|  | pappso::PrecisionPtr | precision
| ) |  | const

override virtual

get a xic coordinate object from a given spectrum index

Implements pappso::MsRunReader.

Definition at line 285 of file timsmsrunreaderms2.cpp.

{
XicCoordTimsSPtr xic_coord = std::make_shared<XicCoordTims>();
std::size_t precursor_index = (spectrum_index / 2) + 1;
auto xic = this->msp_timsData.get()->getXicCoordTimsFromPrecursorId(
precursor_index, precision);
xic_coord.get()->mzRange = xic.mzRange;
xic_coord.get()->rtTarget = xic.rtTarget;
xic_coord.get()->scanNumBegin = xic.scanNumBegin;
xic_coord.get()->scanNumEnd = xic.scanNumEnd;
return xic_coord;
}
pappso::XicCoordTimsSPtr
std::shared_ptr< XicCoordTims > XicCoordTimsSPtr
Definition: xiccoordtims.h:38

References msp_timsData.

Referenced by newXicCoordSPtrFromQualifiedMassSpectrum().

## qualifiedMassSpectrum()

QualifiedMassSpectrum TimsMsRunReaderMs2::qualifiedMassSpectrum | ( | std::size_t | spectrum_index,
|  | bool | want_binary_data = `true`
| ) |  | const

override virtual

get a QualifiedMassSpectrum class given its scan number

Implements pappso::MsRunReader.

Reimplemented in pappso::TimsMsRunReaderMs2Selected.

Definition at line 142 of file timsmsrunreaderms2.cpp.

{
std::size_t precursor_index = (spectrum_index / 2) + 1;
TimsData::SpectrumDescr spectrum_descr;
try
{
spectrum_descr =
msp_timsData.get()->getSpectrumDescrWithPrecursorId(precursor_index);
}
catch(ExceptionNotFound &error)
{
throw ExceptionNotFound(
QObject::tr("spectrum_index %1 NOT FOUND in file %2 : %3")
.arg(spectrum_index)
.arg(getMsRunId().get()->getFileName())
.arg(error.qwhat()));
}
if(spectrum_index % 2 == 0)
{
qDebug() << "MS1 spectrum precursor_index=" << precursor_index;
// this is an MS1 spectrum
QualifiedMassSpectrum mass_spectrum_ms1;
msp_timsData->getQualifiedMs1MassSpectrumByPrecursorId(
getMsRunId(), mass_spectrum_ms1, spectrum_descr, want_binary_data);
qDebug(); // << mass_spectrum_ms1.toString();
// qDebug() << mass_spectrum_ms1.getMassSpectrumSPtr().get()->toString();
return mass_spectrum_ms1;
}
else
{
qDebug() << "MS2 spectrum precursor_index=" << precursor_index;
QualifiedMassSpectrum mass_spectrum_ms2;
if(spectrum_descr.ms2_index != spectrum_index)
{
qDebug();
throw PappsoException(
QObject::tr("ERROR in %1 %2 %3 spectrum_descr.ms2_index(%4) != "
"spectrum_index(%5)")
.arg(__FILE__)
.arg(__FUNCTION__)
.arg(__LINE__)
.arg(spectrum_descr.ms2_index)
.arg(spectrum_index));
}
msp_timsData->getQualifiedMs2MassSpectrumByPrecursorId(
getMsRunId(), mass_spectrum_ms2, spectrum_descr, want_binary_data);
qDebug(); // << mass_spectrum_ms2.toString();
// qDebug() << mass_spectrum_ms2.getMassSpectrumSPtr().get()->toString();
return mass_spectrum_ms2;
}
}
pappso::ExceptionNotFound
Definition: exceptionnotfound.h:32
pappso::MsRunReader::getMsRunId
const MsRunIdCstSPtr & getMsRunId() const
Definition: msrunreader.cpp:269
pappso::PappsoException::qwhat
virtual const QString & qwhat() const
Definition: pappsoexception.h:68
pappso::TimsData::SpectrumDescr
Definition: timsdata.h:115
pappso::TimsData::SpectrumDescr::ms2_index
std::size_t ms2_index
Definition: timsdata.h:121

References pappso::MsRunReader::getMsRunId(), pappso::TimsData::SpectrumDescr::ms2_index, msp_timsData, and pappso::PappsoException::qwhat().

Referenced by massSpectrumCstSPtr(), and massSpectrumSPtr().

## readSpectrumCollection()

void TimsMsRunReaderMs2::readSpectrumCollection | ( | SpectrumCollectionHandlerInterface & | handler | ) |

override virtual

function to visit an MsRunReader and get each Spectrum in a spectrum collection handler

Implements pappso::MsRunReader.

Reimplemented in pappso::TimsMsRunReaderMs2Selected.

Definition at line 202 of file timsmsrunreaderms2.cpp.

{
readSpectrumCollectionByMsLevel(handler, 0);
}
pappso::TimsMsRunReaderMs2::readSpectrumCollectionByMsLevel
virtual void readSpectrumCollectionByMsLevel(SpectrumCollectionHandlerInterface &handler, unsigned int ms_level) override
function to visit an MsRunReader and get each Spectrum in a spectrum collection handler by Ms Levels
Definition: timsmsrunreaderms2.cpp:209

References readSpectrumCollectionByMsLevel().

## readSpectrumCollectionByMsLevel()

void TimsMsRunReaderMs2::readSpectrumCollectionByMsLevel | ( | SpectrumCollectionHandlerInterface & | handler,
|  | unsigned int | ms_level
| ) |  |

override virtual

function to visit an MsRunReader and get each Spectrum in a spectrum collection handler by Ms Levels

Implements pappso::MsRunReader.

Definition at line 209 of file timsmsrunreaderms2.cpp.

{
qDebug() << " ms_level=" << ms_level;
// We'll need it to perform the looping in the spectrum list.
std::size_t spectrum_list_size = spectrumListSize();
// qDebug() << "The spectrum list has size:" << spectrum_list_size;
// Inform the handler of the spectrum list so that it can handle feedback to
// the user.
handler.spectrumListHasSize(spectrum_list_size);
msp_timsData.get()->ms2ReaderSpectrumCollectionByMsLevel(
getMsRunId(), handler, ms_level);
// Now let the loading handler know that the loading of the data has ended.
// The handler might need this "signal" to perform additional tasks or to
// cleanup cruft.
// qDebug() << "Loading ended";
handler.loadingEnded();
}
pappso::SpectrumCollectionHandlerInterface::loadingEnded
virtual void loadingEnded()
Definition: msrunreader.cpp:48
pappso::SpectrumCollectionHandlerInterface::spectrumListHasSize
virtual void spectrumListHasSize(std::size_t size)
Definition: msrunreader.cpp:52
pappso::TimsMsRunReaderMs2::spectrumListSize
virtual std::size_t spectrumListSize() const override
get the totat number of spectrum conained in the MSrun data file
Definition: timsmsrunreaderms2.cpp:234

References pappso::MsRunReader::getMsRunId(), pappso::SpectrumCollectionHandlerInterface::loadingEnded(), msp_timsData, pappso::SpectrumCollectionHandlerInterface::spectrumListHasSize(), and spectrumListSize().

Referenced by readSpectrumCollection().

## releaseDevice()

bool TimsMsRunReaderMs2::releaseDevice | ( |  | ) |

override virtual

release data back end device if a the data back end is released, the developper has to use acquireDevice before using the msrunreader object

Returns
  bool true if done

Implements pappso::MsRunReader.

Definition at line 248 of file timsmsrunreaderms2.cpp.

{
msp_timsData = nullptr;
return true;
}

References msp_timsData.

## setMs1FilterCstSPtr()

void TimsMsRunReaderMs2::setMs1FilterCstSPtr | ( | pappso::FilterInterfaceCstSPtr | filter | ) |

Definition at line 100 of file timsmsrunreaderms2.cpp.

{
msp_ms1Filter = filter;
if(msp_timsData != nullptr)
{
msp_timsData->setMs1FilterCstSPtr(filter);
}
else
{
throw PappsoException(
QObject::tr("ERROR in TimsMsRunReaderMs2::setMs1FilterCstSPtr "
"msp_timsData is null"));
}
}

References msp_ms1Filter, and msp_timsData.

## setMs2BuiltinCentroid()

void TimsMsRunReaderMs2::setMs2BuiltinCentroid | ( | bool | centroid | ) |

enable or disable simple centroid filter on raw tims data for MS2

Definition at line 68 of file timsmsrunreaderms2.cpp.

{
m_builtinMs2Centroid = centroid;
if(msp_timsData != nullptr)
{
msp_timsData->setMs2BuiltinCentroid(m_builtinMs2Centroid);
}
else
{
throw PappsoException(
QObject::tr("ERROR in TimsMsRunReaderMs2::setMs2BuiltinCentroid "
"msp_timsData is null"));
}
}

References m_builtinMs2Centroid, and msp_timsData.

Referenced by pappso::TandemWrapperRun::convertOrginalMsData2mzXmlData().

## setMs2FilterCstSPtr()

void TimsMsRunReaderMs2::setMs2FilterCstSPtr | ( | pappso::FilterInterfaceCstSPtr | filter | ) |

Definition at line 84 of file timsmsrunreaderms2.cpp.

{
msp_ms2Filter = filter;
if(msp_timsData != nullptr)
{
msp_timsData->setMs2FilterCstSPtr(msp_ms2Filter);
}
else
{
throw PappsoException(
QObject::tr("ERROR in TimsMsRunReaderMs2::setMs2FilterCstSPtr "
"msp_timsData is null"));
}
}

References msp_ms2Filter, and msp_timsData.

Referenced by pappso::TandemWrapperRun::convertOrginalMsData2mzXmlData().

## spectrumListSize()

std::size_t TimsMsRunReaderMs2::spectrumListSize | ( |  | ) | const

override virtual

get the totat number of spectrum conained in the MSrun data file

Implements pappso::MsRunReader.

Reimplemented in pappso::TimsMsRunReaderMs2Selected.

Definition at line 234 of file timsmsrunreaderms2.cpp.

{
return (msp_timsData->getTotalNumberOfPrecursors() * 2);
}

References msp_timsData.

Referenced by readSpectrumCollectionByMsLevel().

## Friends And Related Function Documentation

## MsFileAccessor

friend class MsFileAccessor

friend

Definition at line 42 of file timsmsrunreaderms2.h.

## Member Data Documentation

## m_builtinMs2Centroid

bool pappso::TimsMsRunReaderMs2::m_builtinMs2Centroid = true

private

enable builtin centroid on raw tims integers by default

Definition at line 121 of file timsmsrunreaderms2.h.

Referenced by acquireDevice(), and setMs2BuiltinCentroid().

## msp_ms1Filter

pappso::FilterInterfaceCstSPtr pappso::TimsMsRunReaderMs2::msp_ms1Filter

private

Definition at line 117 of file timsmsrunreaderms2.h.

Referenced by acquireDevice(), and setMs1FilterCstSPtr().

## msp_ms2Filter

pappso::FilterInterfaceCstSPtr pappso::TimsMsRunReaderMs2::msp_ms2Filter

private

Definition at line 118 of file timsmsrunreaderms2.h.

Referenced by acquireDevice(), and setMs2FilterCstSPtr().

## msp_timsData

TimsDataSp pappso::TimsMsRunReaderMs2::msp_timsData = nullptr

private

Definition at line 115 of file timsmsrunreaderms2.h.

Referenced by ~TimsMsRunReaderMs2(), acquireDevice(), getTicChromatogram(), newXicCoordSPtrFromSpectrumIndex(), qualifiedMassSpectrum(), readSpectrumCollectionByMsLevel(), releaseDevice(), setMs1FilterCstSPtr(), setMs2BuiltinCentroid(), setMs2FilterCstSPtr(), and spectrumListSize().

The documentation for this class was generated from the following files:

- pappsomspp/msrun/private/timsmsrunreaderms2.h
- pappsomspp/msrun/private/timsmsrunreaderms2.cpp